#ifndef DNSSOARECORDFORM_H
#define DNSSOARECORDFORM_H

#include <gtkmm/table.h>
#include <gtkmm/entry.h>
#include <gtkmm/spinbutton.h>

#include <openwbem/OW_CIMObjectPath.hpp>
#include <openwbem/OW_CIMInstance.hpp>
#include "SimpleCIMForm.h"
#include "BoundEntry.h"

class DnsSOARecordForm : public SimpleCIMForm
{
private:
	// widgets on the form
	Gtk::Table table, intervals_table;
	Gtk::Button serial_increment_btn;
	BoundEntry *serial_bound_entry, *master_bound_entry,
		*responsible_person_bound_entry;
	BoundEntry *refresh_bound_entry, *retry_bound_entry, *expire_bound_entry,
		*negcache_bound_entry, *ttl_bound_entry;

public:
	// CONSTRUCTOR
	DnsSOARecordForm(CIMInstanceHandle objectref);

	// METHODS DEFINED IN Form
	virtual Gtk::Widget *getWidget();
};

#endif /* DNSSOARECORDFORM_H */
