#ifndef STATUSMAPWINDOW_H
#define STATUSMAPWINDOW_H

#include "CIMInstanceProxy.h"
#include <gtkmm/window.h>
#include <gtkmm/box.h>
#include <gtkmm/menubar.h>
#include <gtkmm/menu.h>
#include <gtkmm/scrolledwindow.h>
#include "StatusMapCanvas.h"

class StatusMapWindow : public Gtk::Window
{
private:
	// WIDGETS
	Gtk::VBox vbox;
	Gtk::MenuBar menu_bar;
	Gtk::Menu menu_map, menu_view, menu_help;
	Gtk::ScrolledWindow canvas_scrolled;
	StatusMapCanvas canvas;

	CIMInstanceHandle handle;

public:
	StatusMapWindow(const CIMInstanceHandle &handle);

protected: 
	// callbacks
	void on_menu_map_add_host();
	void on_menu_map_close();
	void on_menu_schema_find_class();
	void on_menu_help_about();
};

#endif /* STATUSMAPWINDOW_H */
