// Copyright 2004 Jason Long

// This file is part of cimbrowser.
//
// Cimbrowser is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// Cimbrowser is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Cimbrowser; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef CONNECTDIALOG_H
#define CONNECTDIALOG_H

#include "MainWindow.h"
#include <gtkmm/dialog.h>
#include <gtkmm/table.h>
#include <gtkmm/label.h>
#include <gtkmm/entry.h>
#include <gtkmm/button.h>

class ConnectDialog : public Gtk::Dialog
{
private:
	// PROPERTIES
	// ...

	// WIDGETS
	Gtk::Table table;
	Gtk::Label url_label, namespace_label, username_label, password_label;
	Gtk::Entry url_entry, namespace_entry, username_entry, password_entry;

public:
	// CONSTRUCTOR
	ConnectDialog();
	void getParams(OpenWBEM::String &url, OpenWBEM::String &ns,
		OpenWBEM::String &username, OpenWBEM::String &password);

protected:
	// SIGNAL HANDLERS
	// ...

private:
};

#endif /* CONNECTDIALOG_H */
