#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif /* HAVE_CONFIG_H */

#include "SambaGlobalSettingsDialog.h"
#include "CIMOMHandle.h"
#include "SambaGlobalSettingsGeneralForm.h"
#include "InstancePropertyListForm.h"

using namespace Gtk;
using namespace OpenWBEM;

SambaGlobalSettingsDialog::SambaGlobalSettingsDialog(CIMObjectPath cop)
	: ModifyInstanceDialog(cop)
{
	set_title("Samba Global Settings");

	// add forms
	add_form(new SambaGlobalSettingsGeneralForm, "General");
	add_form(new InstancePropertyListForm, "Advanced");

	// make sure all children widgets are visible
	show_all_children();
}
