#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif /* HAVE_CONFIG_H */

#include "SambaSharePropertiesDialog.h"
#include "CIMOMHandle.h"
#include "InstancePropertyList.h"
#include "InstancePropertyListForm.h"
#include "SambaShareGeneralForm.h"

#include <gtkmm/messagedialog.h>
#include <gtkmm/stock.h>

#include <openwbem/OW_CIMValue.hpp>
#include <openwbem/OW_CIMQualifier.hpp>
#include <openwbem/OW_CIMException.hpp>
#include <openwbem/OW_Bool.hpp>
#include <iostream>

using namespace Gtk;
using namespace OpenWBEM;

SambaSharePropertiesDialog::SambaSharePropertiesDialog(CIMObjectPath cop)
	: ModifyInstanceDialog(cop)
{
	set_title("Share Properties");

	// add forms
	add_form(new SambaShareGeneralForm, "General");
	add_form(new InstancePropertyListForm, "Advanced");

	// make sure all children widgets are visible
	show_all_children();
}
